## org.apache.lucene.queryParser.standard.config
Class FieldBoostMapAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.FieldBoostMapAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, FieldBoostMapAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class FieldBoostMapAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements FieldBoostMapAttribute, ConfigAttribute

This attribute is used by `MultiFieldQueryNodeProcessor` processor and it should be defined in a `FieldConfig`. This processor uses this attribute to define which boost a specific field should have when none is defined to it.

See Also:
  `BoostAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`FieldBoostMapAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated.
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`Map<String,Float>` `getFieldBoostMap()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `setFieldBoostMap(Map<String,Float> boosts)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldBoostMapAttributeImpl

    public FieldBoostMapAttributeImpl()

  Deprecated.

Method Detail

### setFieldBoostMap

    public void setFieldBoostMap(Map<String,Float> boosts)

  Deprecated.
  Specified by:
    `setFieldBoostMap` in interface `FieldBoostMapAttribute`
  Parameters:
    `boosts` - a mapping from field name to its default boost

### getFieldBoostMap

    public Map<String,Float> getFieldBoostMap()

  Deprecated.
  Specified by:
    `getFieldBoostMap` in interface `FieldBoostMapAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`